---
name: Проверка по стандарту
about: Предложите проверку по существующему стандарту. Вначале ознакомьтесь с соглашением
  по проверкам.
title: 'Стандарт NNN: <Название проверки>'
labels: standards
assignees: ''

---

<!-- 
Пожалуйста, в начале, прочитайте соглашения по проверкам:
https://github.com/1C-Company/v8-code-style/blob/master/docs/contributing/Check_Convention.md
-->

### Название проверки

`Напишите краткое название проверки`

**Английское название проверки**

`Напишите английское название проверки`

<!-- отображаемое в английском интерфейсе 1C:EDT, или оставьте пустым, если нет возможности перевести. -->

### Правило анализа кода/метаданных

<!-- 
Детально опишите алгоритм, порядок действий по поиску проблемного места в коде или метаданных.
Укажете максимально полно все условия, при которых состояния кода/метаданных НЕ являются ошибкой. 
-->

### Мета-информация (пожалуйста, заполните если знаете):

- Номер стандарта: `например: 124`
- Код проверки: `например: my-check-id`
- Тип ошибки: `ERROR` `SECURITY` `PERFORMANCE`  `WARNING` `PORTABILITY` `LIBRARY_DEVELOPMENT_AND_USAGE` `CODE_STYLE` `UI_STYLE` `SPELLING` (выберите подходящий тип)
- Критичность: `BLOCKER` `CRITICAL` `MAJOR` `MINOR` `TRIVIAL` (выберите подходящую критичность)
- Код ошибки АПК: `например: 539`, если аналогичная проверка существует

### Параметры проверки

<!-- Опишите параметры проверки, которые вы хотели бы настраивать, Например: длинна символов, длинна числа. -->


### Текст ошибки

<!-- Предложите пример сообщения об ошибке, отображаемый в 1C:EDT. -->


### Пример некорректного решения

<!-- Приведите пример(ы) некорректного кода (или метаданных) -->


```bsl
Параметры = Новый Структура("Ключ1, Ключ2, Ключ3, Ключ4");
```

### Описание, почему так делать нельзя

<!-- Укажите описание для разработчика 1С, почему такой код является некорректным. -->


### Пример корректного решения

<!-- Приведите пример(ы) корректного кода (или метаданных) для текущего правила. -->


```bsl
Параметры = Новый Структура;
Параметры.Вставить("Ключ1", "");
Параметры.Вставить("Ключ2", "");
Параметры.Вставить("Ключ3", "");
Параметры.Вставить("Ключ4", "");
```

### Дополнительные материалы

- [Ссылка на стандарт на сайте ИТС](https://its.1c.ru/...)
- Скриншоты с примерами некорректного состояния кода/метаданных
- Скриншоты с примерами исправленного состояния кода/метаданных
