# Участие в проекте 1С:Стандарты разработки V8

Содержание

- [У меня есть вопрос](#у-меня-есть-вопрос)
- [Что я должен знать прежде чем начать](#что-я-должен-знать-прежде-чем-начать)
- [Сообщить об ошибке](#сообщить-об-ошибке)
   - [Прежде чем зарегистрировать ошибку](#прежде-чем-зарегистрировать-ошибку)
   - [Как сообщить об ошибке эффективно](#как-сообщить-об-ошибке-эффективно)
   - [Ложное срабатывание проверки или проверка не находит ошибку](#ложное-срабатывание-проверки-или-проверка-не-находит-ошибку)
- [Предложите улучшение функциональности](#предложите-улучшение-функциональности)
- [Доработка кода](docs/contributing/)
   - [Написание проверок](docs/contributing/)
   - [Исправление ошибок](docs/contributing/pull_request.md)
   - [Pull Requests (Merge Requests)](docs/contributing/pull_request.md)



Вначале хотим поблагодарить Вас за желание участвовать в проекте!

Далее описаны советы, как сделать свое участие наиболее эффективным для проекта и для себя. 
Будьте благоразумны, если что-либо здесь не описано.

## У меня есть вопрос

1. Для начала убедитесь, что ответа нет в самой 1C:EDT.
2. Поищите информацию в документации проекта

**Вопрос есть, но ответа не нашел?** Создай `issue`  

## Что я должен знать прежде чем начать

Изучите текущую функциональность проекта, цели проекта, где находится граница возможностей плагина и 1C:EDT.

Вопросы, которые не относятся к разработке приложений в 1C:EDT по стандартам 1С, следует задавать в профильных сообществах.

## Сообщить об ошибке

Печально, что ошибка существует, но мы благодарны, что вы о ней нам сообщите!

### Прежде чем зарегистрировать ошибку

* Проверьте [Docs](https://github.com/1C-Company/v8-code-style/docs/) на наличие описания, что не является ошибкой
* Проверьте раздел [Issues](https://github.com/1C-Company/v8-code-style/issues), чтобы не создавать дубликатов

### Как сообщить об ошибке эффективно

Следуйте простым правилам:

1. Задайте понятный заголовок `issue`, лаконично и исчерпывающе определяющий проблему
    * постарайтесь не допускать двойного смысла, сленга из других областей и т.д. 
    * Не используйте "метки" в заголовке - для этого используются метки (labels) на гитхабе
2. Опишите сценарий воспроизведения ошибки.
    * скриншоты очень сильно помогают, но не заменяют сценарий
    * добавьте логи ЖР, из лог-файлов (убедитесь, что они не содержат приватной информации)
3. Опишите, что есть ошибка по вашему мнению и почему
4. Опишите ожидаемое поведение

### Ложное срабатывание проверки или проверка не находит ошибку

Мы будем благодарны, если Вы сообщить нам о [ложном срабатывании проверки](https://github.com/1C-Company/v8-code-style/issues/new?assignees=&labels=standards,bug&template=check_false.md&title=Ложное+срабатывание+проверки%3A+%3Cкод+проверки%3E) или о [не нахождении существующей ошибки](https://github.com/1C-Company/v8-code-style/issues/new?assignees=&labels=standards,bug&template=check_not_found.md&title=Проверка%3A+%3Cкод+проверки%3E+не+находит+ошибку).


## Предложите улучшение функциональности

1. Задайте понятный заголовок `issue`, лаконично и исчерпывающе определяющий новую функциональность
2. Опишите суть улучшений и обсудите в issue варианты реализации.
3. Убедитесь совместно с авторами проекта, что ваше предложение не противоречит идеологии Стандартов 1С и 1C:EDT. При этом авторы проекта всегда рады обсуждению новых идей, всегда на стороне участников, предлагающих улучшения, но при этом постараются максимально разъяснить случаи отказа в принятии идеи/реквеста, если таковые возникнут.
4. Реализуйте Ваше улучшение функциональности проекта в отдельном форке и предложите его через [Pull/merge request](#Pull-Requests-Merge-Requests)
