# После начала транзакции отсуствует блок Попытка-Исключение

Mежду "НачатьТранзакцию()" и "Попытка" есть исполняемый код, который может вызвать исключение,
после "НачатьТранзакцию()" не найден оператор "Попытка"

## Неправильно

```bsl
    НачатьТранзакцию();
    ЗафиксироватьТранзакцию();
```

## Правильно

```bsl
    НачатьТранзакцию();
    Попытка
    // ...
    ЗафиксироватьТранзакцию();
    Исключение
    // ...
    ОтменитьТранзакцию();
    // ...
    ВызватьИсключение;
    КонецПопытки;
```

## См.

- [Перехват исключений в коде](https://its.1c.ru/db/v8std#content:499:hdoc:3.6)
- [Транзакции: правила использования](https://its.1c.ru/db/v8std#content:783:hdoc:1.3)