# Правила образования имен переменных

1. Имена переменных следует образовывать от терминов предметной области таким образом, чтобы из имени 
   переменной было понятно ее назначение.
2. Имена следует образовывать путем удаления пробелов между словами. При этом, каждое слово в имени 
   пишется с прописной буквы. Предлоги и местоимения из одной буквы также пишутся прописными буквами.
3. Имена переменных запрещается начинать с подчеркивания.
4. Имена переменных не должны состоять из одного символа. Использование односимвольных имен переменных 
   допускается только для счетчиков циклов..
5. Переменные, отражающие состояние некоторого флага, следует называть так, как пишется истинное значение этого флага.

## Примеры некорректных имен переменных

```bsl
массРеквизитов, _СоотвВидИмя, нС
```

## Примеры корректных имен переменных
	 
```bsl
Перем ДиалогРаботыСКаталогом; 
Перем КоличествоПачекВКоробке;
НовыйДокументСсылка;
```
	
## См.

- [Правила образования имен переменных](https://its.1c.ru/db/v8std#content:454:hdoc:3)