# Проверка нарушения схемы работы с транзакциями

Вызов "ЗафиксироватьТранзакцию()" находится вне конструкции "Попытка... Исключение"
Отсутствует вызов "НачатьТранзакцию()", хотя вызываются "ЗафиксироватьТранзакцию()"
Для вызова "НачатьТранзакцию()" отсутствует парный вызов "ОтменитьТранзакцию()"
Mежду "ЗафиксироватьТранзакцию()" и "Исключение" есть исполняемый код, который может вызвать исключение

## Неправильно

```bsl
    НачатьТранзакцию();
    ЗафиксироватьТранзакцию();
    Попытка
    // ...
    Исключение
    // ...
    ОтменитьТранзакцию();
    // ...
    ВызватьИсключение;
    КонецПопытки;
```

## Правильно

```bsl
    НачатьТранзакцию();
    Попытка
    // ...
    ЗафиксироватьТранзакцию();
    Исключение
    // ...
    ОтменитьТранзакцию();
    // ...
    ВызватьИсключение;
    КонецПопытки;
```

## См.

- [Перехват исключений в коде](https://its.1c.ru/db/v8std#content:499:hdoc:3.6)
- [Транзакции: правила использования](https://its.1c.ru/db/v8std#content:783:hdoc:1.3)