#  Проверка ОбменДанными.Загрузка в обработчике события

Все действия в процедурах-обработчиков событий ПередЗаписью, ПриЗаписи, ПередУдалением должны выполняться после проверки на ОбменДанными.Загрузка.

Это необходимо для того, чтобы никакая бизнес-логика объекта не выполнялась при записи объекта через механизм обмена данными, поскольку она уже была выполнена для объекта в том узле, где он был создан. В этом случае все данные загружаются в ИБ «как есть», без искажений (изменений), проверок или каких-либо других дополнительных действий, препятствующих загрузке данных.

## Неправильно

```bsl
Процедура ПередЗаписью(Отказ)
// код обработчика
// ...
КонецПроцедуры
```

## Правильно

```bsl
Процедура ПередЗаписью(Отказ)
Если ОбменДанными.Загрузка Тогда
     Возврат;
КонецЕсли;

// код обработчика
// ...
КонецПроцедуры
```

## См.

- https://its.1c.ru/db/v8std#content:773:hdoc
- https://its.1c.ru/db/v8std#content:752:hdoc
- https://its.1c.ru/db/v8std#content:464:hdoc
- https://its.1c.ru/db/v8std#content:465:hdoc
