# Устаревшая процедура (функция) расположена вне области "УстаревшиеПроцедурыИФункции"

Устаревшую **экспортную** процедуру (функцию) следует перенести в область общего модуля **УстаревшиеПроцедурыИФункции**,
которая размещена внутри области **ПрограммныйИнтерфейс**.
В процедурах и функциях, размещенных в области **УстаревшиеПроцедурыИФункции**,
допустимы отклонения от других стандартов разработки согласно п.1.1.
В этом случае существующий прикладной код не потребуется переписывать. 
При этом если при выпуске новой редакции библиотеки будет принято решение удалить все устаревшие функции,
то такие функции могут быть легко выявлены в коде библиотеки и удалены.

## Неправильно

```bsl
#Область ПрограммныйИнтерфейс

// Устарела. Следует использовать процедуру ПоддерживаемаяПроцедура
Процедура УстаревшаяПроцедура() Экспорт
    
    УстаревшаяПроцедура()
    
КонецПроцедуры

#КонецОбласти
```

## Правильно

```bsl
#Область ПрограммныйИнтерфейс

#Область УстаревшиеПроцедурыИФункции

// Устарела. Следует использовать процедуру ПоддерживаемаяПроцедура
Процедура УстаревшаяПроцедура() Экспорт
    
    УстаревшаяПроцедура()
    
КонецПроцедуры

#КонецОбласти

#КонецОбласти
```

## См.

[Обеспечение совместимости библиотек](https://its.1c.ru/db/v8std#content:644:hdoc:3.1@49fb4d81)
