# Использование только дефис-минуса в документирующем комментарии

В описании в модели документирующего комментария необходимо использовать только символ дефис-минус вместо обычного дефиса или различных вариантов тире.

Эта проверка анализирует неправильные "минусы" в первом текстовом элементе в описании, идущем после декларации поля, чтобы найти возможное неправильное построение модели документирующего комментария.
 
## Неправильно

```bsl
// Параметры:
//  Параметры – Структура - первый это "среднее тире" а второй это "минус":
//  * Ключ1 - Число ⸺ некорректное длинное тире
Процедура NonComplaint(Параметры) Экспорт
	// пустая
КонецПроцедуры
```

## Правильно


```bsl
// Параметры:
//  Параметры - Структура - оба использованы минусы:
//  * Ключ1 - Число - использованы корректные дефис-минусы
Процедура Complaint(Параметры) Экспорт
	// пустая
КонецПроцедуры
```

## См.

- [Википедия: Дефис](https://ru.wikipedia.org/wiki/Дефис)
- [Википедия: Тире](https://ru.wikipedia.org/wiki/Тире)
