# Ограничения на использование экспортных процедур и функций в модуле команд и форм

Не следует размещать экспортные процедуры и функции в модулях команд и форм. 
Для реализации экспортных процедур и функций рекомендуется использовать модули объектов, модули менеджеров объектов или 
общие модули.

Так же, рекомендуется избегать обращения к методам и свойствам формы после ее открытия.

Исключения из этого правила составляют экспортные процедуры-обработчики оповещений (ОписаниеОповещения.ИмяПроцедуры).

## Неправильно

```bsl
&НаКлиенте
Процедура ОбработкаКоманды(ПараметрКоманды, ПараметрыВыполненияКоманды) Экспорт
КонецПроцедуры
```

## Правильно

```bsl
Процедура ОбработкаКоманды(ПараметрКоманды, ПараметрыВыполненияКоманды)
КонецПроцедуры
```

## См.

- [Ограничения на использование экспортных процедур и функций](https://its.1c.ru/db/v8std#content:544:hdoc)
- [Правила создания модулей форм](https://its.1c.ru/db/v8std#content:630:hdoc)
- [Открытие форм](https://its.1c.ru/db/v8std#content:404:hdoc)
