# Всегда использовать директивы компиляции в модуле формы

1.1. Конфигурация должна использовать только штатные и документированные
возможности платформы 1С:Предприятие.

...

Платформа позволяет в модулях форм реализовывать процедуры без директив
компиляции (&НаСервере и т.п.). Такие процедуры не работают в
веб-клиенте и приводят к лишнему серверному вызову.

## Неправильно

```bsl
Процедура Серверная()
    
    
КонецПроцедуры
```

## Правильно

```bsl
&НаСервере
Процедура Серверная()
    
    
КонецПроцедуры
```

## См.

- [Исполнение модуля формы на клиенте и на сервере](https://its.1c.ru/db/pubv8devui/content/189/hdoc/)
- [Использование директив компиляции и инструкций препроцессора](https://its.1c.ru/db/v8std/content/439/hdoc/)
- [Общие требования к конфигурации](https://its.1c.ru/db/v8std#content:467:hdoc)
- [Модуль формы](https://its.1c.ru/db/v8320doc#bookmark:dev:TI000000403)
