# Проверяет что метод находится в области

Метод находится в области

Раздел «Программный интерфейс» содержит экспортные процедуры и функции, предназначенные для использования 
другими объектами конфигурации или другими программами (например, через внешнее соединение).
Раздел «Служебный программный интерфейс» предназначен для модулей, которые являются частью некоторой функциональной 
подсистемы. В нем должны быть размещены экспортные процедуры и функции, которые допустимо вызывать только из других 
функциональных подсистем этой же библиотеки.
Раздел «Служебные процедуры и функции» содержит процедуры и функции, составляющие внутреннюю реализацию общего модуля. 
В тех случаях, когда общий модуль является частью некоторой функциональной подсистемы, включающей в себя несколько 
объектов метаданных, в этом разделе также могут быть размещены служебные экспортные процедуры и функции, предназначенные 
только для вызова из других объектов данной подсистемы.

## Неправильно

```bsl

Процедура МетодВызываемыйИзВне() Экспорт

КонецПроцедуры

#Область ПрограммныйИнтерфейс
// Код процедур и функций
#КонецОбласти

#Область СлужебныйПрограммныйИнтерфейс
// Код процедур и функций
#КонецОбласти

#Область СлужебныеПроцедурыИФункции
// Код процедур и функций
#КонецОбласти

```

## Правильно

```bsl

#Область ПрограммныйИнтерфейс

Процедура МетодВызываемыйИзВне() Экспорт

КонецПроцедуры

#КонецОбласти

#Область СлужебныйПрограммныйИнтерфейс
// Код процедур и функций
#КонецОбласти

#Область СлужебныеПроцедурыИФункции
// Код процедур и функций
#КонецОбласти

```

## См.


- [Структура модуля](https://its.1c.ru/db/v8std#content:455:hdoc)
