# Обращение к опциональному параметру формы

Параметры формы следует объявлять явно на закладке Параметры редактора формы. 
В таком случае в коде обработчика ПриСозданииНаСервере не требуется проверять наличие свойств 
у структуры Параметры, а сам состав параметров формы явно задекларирован (поэтому их не требуется 
восстанавливать, изучая весь код обработчика ПриСозданииНаСервере).

## Неправильно

```bsl
&НаСервере
Процедура ПриСозданииНаСервере(Отказ, СтандартнаяОбработка)
    ФамилияИмяОтчество = Неопределено;
    Если Параметры.Свойство("ФамилияИмяОтчество", ФамилияИмяОтчество) Тогда
        Объект.Наименование = ФамилияИмяОтчество;
    КонецЕсли;
КонецПроцедуры
```

## Правильно

```bsl
&НаСервере
Процедура ПриСозданииНаСервере(Отказ, СтандартнаяОбработка)
    Объект.Наименование = Параметры.ФамилияИмяОтчество;
КонецПроцедуры
```

## См.

- [Открытие параметризированных форм](https://its.1c.ru/db/v8std#content:741:hdoc)