# Тексты модулей конфигурации не должны содержать неиспользуемые экспортные процедуры и функции.

Исключением являются экспортные методы, расположенные в области "ПрограммныйИнтерфейс", 
т.к. эти методы часто могут использоваться другими конфигурациями (библиотеками).

Проверка выполняет поиск всех ссылок на метод, поэтому может выполняться длительное время.

## Неправильно

```bsl
Процедура ТекстЗапросаТаблицаСебестоимостьТоваров() Экспорт

КонецПроцедуры
```

## Правильно

```bsl
#Область ПрограммныйИнтерфейс
Процедура ТекстЗапросаТаблицаСебестоимостьТоваров() Экспорт

КонецПроцедуры
#КонецОбласти
```

## См.

- [Общие требования к конфигурации](https://its.1c.ru/db/v8std#content:467:hdoc)
