# Типизация значений в конструкторе структуры

Проверяет строковый литерал в конструкторе структуры что каждый ключ имеет типзированное значение.

## Неправильно

Ключи структуры инициализируются без какого-либо значения по умолчанию что устанавливает пустой тип значения для ключа структуры на всё время жизни.

```bsl
// @strict-types

Процедура Тест() Экспорт
	
	Параметры = новый Структура("Ключ1, Ключ2, Ключ3");
	// некоторый код...
	
	Параметры.Ключ1 = 1345;
	Параметры.Ключ2 = "New vlaue";
	Параметры.Ключ3 = Справочники.Товары.Service;
	
КонецПроцедуры
```

## Правильно

Инициализируйте ключи структуры с типизированным значением по умолчанию в конструкторе или вставляйте новый ключ с типизированным значением по умолчанию.

```bsl
// @strict-types

Процедура Тест() Экспорт
	
	Параметры = новый Структура("Ключ1, Ключ2", 0, "");
	Параметры.Вставить("Ключ3", Справочники.Товары.ПустаяСсылка());
	// некоторый код...
	
	Параметры.Ключ1 = 1345;
	Параметры.Ключ2 = "New vlaue";
	Параметры.Ключ3 = Справочники.Товары.Услуга;
	
КонецПроцедуры
```

## См.

