# Использование не рекомендуемых методов

Существуют не рекомендуемые методы, вместо которых следует использовать либо методы БСП, либо другие методы.

## Неправильно
	
```bsl
Сообщить("Текст сообщения");

Дата = ТекущаяДата();

ОбщаяФорма1 = ПолучитьФорму("ОбщаяФорма.ОбщаяФорма1");
```

```bsl
Найти(Сотрудник.Имя, "Иван");
```

## Правильно

```bsl
Сообщение = Новый СообщениеПользователю();
Сообщение.Текст = ("Текст Сообщения");
Сообщение.Сообщить();

Дата = ТекущаяДатаСеанса();

ОткрытьФорму("ОбщаяФорма.ОбщаяФорма1);
```

```bsl
СтрНайти(Сотрудник.Имя, "Иван");
```

## См.

- [Ограничение на использование метода Сообщить](https://its.1c.ru/db/v8std#content:418:hdoc)
- [Работа в разных часовых поясах](https://its.1c.ru/db/v8std#content:643:hdoc:2.1)
- [Открытие форм](https://its.1c.ru/db/v8std#content:404:hdoc:1)
- [Переход на платформу 1С:Предприятие 8.3](https://its.1c.ru/db/metod8dev#content:5293:hdoc)