# Использование РеквизитФормыВЗначение и ДанныеФормыВЗначение

В большинстве случаев в модулях форм следует использовать метод формы РеквизитФормыВЗначение вместо метода ДанныеФормыВЗначение. 

Рекомендация обусловлена соображениями унификации прикладного кода и тем, что синтаксис метода РеквизитФормыВЗначение проще, 
чем у ДанныеФормыВЗначение (а следовательно, меньше вероятность ошибки).
В ДанныеФормыВЗначение необходимо дополнительно передавать тип значения, а для РеквизитФормыВЗначение это не обязательно, 
а в практическом плане - избыточно.

Наличие в платформе 1С:Предприятие метода формы РеквизитФормыВЗначение (наряду с методом глобального контекста ДанныеФормыВЗначение) 
объясняется только удобством его применения. С точки зрения эффективности и результата методы работают одинаково.

## Неправильно

```bsl
ТаблицаПодписей = ДанныеФормыВЗначение(ТаблицаПодписей, Тип("ТаблицаЗначений"));
```

## Правильно

```bsl
ТаблицаПодписей = РеквизитФормыВЗначение("ТаблицаПодписей");
```

## См.

- [Использование РеквизитФормыВЗначение и ДанныеФормыВЗначение](https://its.1c.ru/db/v8std#content:409:hdoc)
