# Использован метод "РольДоступна"

Для проверки прав доступа в коде следует использовать метод ПравоДоступа.

## Неправильно

```bsl
Если РольДоступна("ДобавлениеИзменениеСтранМира") Тогда ...
```

## Правильно

```bsl
Если ПравоДоступа("Редактирование", Метаданные.Справочники.СтраныМира) Тогда ...
```

Такой подход позволяет повысить устойчивость кода к пересмотру состава
ролей в конфигурации, а также обеспечить работоспособность конфигурации
в особых режимах работы, когда реальный состав ролей отличается от
спроектированного 

## См.

- [Настройка ролей и прав доступа](https://its.1c.ru/db/v8std#content:689:hdoc)
- [Проверка прав доступа](https://its.1c.ru/db/v8std#content:737:hdoc:3)