# У каждого события должна быть назначена своя процедура-обработчик

У каждого события должна быть назначена своя процедура-обработчик

## Неправильно

Смешение нескольких событий в одной процедуре неоправданно усложняет ее логику и снижает ее устойчивость (вместо одного предусмотренного вызова - по событию из платформы - код процедуры должен рассчитывать и на другие вызовы)

## Правильно

У каждого события должна быть назначена своя процедура-обработчик.
Если одинаковые действия должны выполняться при возникновении событий в разных элементах формы, следует:
- создать отдельную процедуру (функцию), выполняющую необходимые действия
- для каждого элемента формы создать отдельный обработчик с именем, назначаемым по умолчанию
- из каждого обработчика вызвать требуемую процедуру (функцию).

## См.

[Структура модуля](https://its.1c.ru/db/v8std/content/455/hdoc#2.4.3)
