# В запросе в бинарной операции используются константные значения или параметры.

Запрещается формировать строку шаблона при помощи вычислений, использовать конкатенацию строк средствами языка запросов.

Данное требование продиктовано необходимостью переносимости прикладных решений на различные СУБД.

## Неправильно

```bsl
ВЫБРАТЬ
    Номенклатура.Наименование КАК Наименование,
    "Мой" + "Товар" КАК КодАртикул
ИЗ
    Справочник.Номенклатура КАК Номенклатура;

ВЫБРАТЬ
    Номенклатура.Наименование КАК Наименование,
    "Мой" + &Параметр КАК КодАртикул
ИЗ
    Справочник.Номенклатура КАК Номенклатура

ВЫБРАТЬ 
    Номенклатура.Наименование КАК Наименование,
    ИмяПоля КАК КодАртикул
ИЗ
    Справочник.Номенклатура КАК Номенклатура
ГДЕ 
    ИмяПоля ПОДОБНО "123" + "%";
```

## Правильно

```bsl
ВЫБРАТЬ
    Номенклатура.Наименование КАК Наименование, 
    "МойТовар"  КАК КодАртикул
ИЗ
    Справочник.Номенклатура КАК Номенклатура;

ВЫБРАТЬ
    Номенклатура.Наименование КАК Наименование,
    &Параметр КАК КодАртикул
ИЗ
    Справочник.Номенклатура КАК Номенклатура

ВЫБРАТЬ
    Номенклатура.Наименование КАК Наименование,
    ИмяПоля КАК КодАртикул
ИЗ
    Справочник.Номенклатура КАК Номенклатура
ГДЕ 
    ИмяПоля ПОДОБНО "123%";
```

## См.

- [Эффективные условия запросов](https://its.1c.ru/db/v8std#content:658:hdoc)
- [Особенности использования в запросах оператора ПОДОБНО](https://its.1c.ru/db/v8std#content:726:hdoc)

