# Проверки модулей 1С


Общее количество проверок: 88

| Код проверки | Наименование |
|--------------|--------------|
| [begin-transaction](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/begin-transaction.md) | После начала транзакции отсуствует блок Попытка-Исключение |
| [bsl-canonical-pragma](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/bsl-canonical-pragma.md) | Аннотация написана канонически |
| [bsl-nstr-string-literal-format](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/bsl-nstr-string-literal-format.md) | НСтр формат строкового литерала |
| [bsl-variable-name-invalid](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/bsl-variable-name-invalid.md) | Правила образования имен переменных |
| [change-and-validate-instead-of-around](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/change-and-validate-instead-of-around.md) | Используется аннотация &ИзменениеИКонтроль вместо &Вместо |
| [code-after-async-call](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/code-after-async-call.md) | Код расположен после асинхронного вызова |
| [commit-transaction](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/commit-transaction.md) | Проверка нарушения схемы работы с транзакциями |
| [common-module-missing-api](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/common-module-missing-api.md) | Общий модуль должен иметь хотя бы один экспортный метод |
| [common-module-named-self-reference](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/common-module-named-self-reference.md) | Избыточное обращение по собственному имени внутри общего модуля |
| [constructor-function-return-section](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/constructor-function-return-section.md) | Секция возвращаемого значения функции-конструктора данных |
| [data-exchange-load](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/data-exchange-load.md) | Проверка ОбменДанными.Загрузка в обработчике события |
| [deprecated-procedure-outside-deprecated-region](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/deprecated-procedure-outside-deprecated-region.md) | Устаревшая процедура (функция) расположена вне области "УстаревшиеПроцедурыИФункции" |
| [doc-comment-collection-item-type](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/doc-comment-collection-item-type.md) | Тип коллекций в документирующем комментарии содержит тип элемента коллекции |
| [doc-comment-complex-type-with-link](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/doc-comment-complex-type-with-link.md) | Поле документирующего комментария использует объявление сложного типа вместо ссылки на тип |
| [doc-comment-description-ends-on-dot](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/doc-comment-description-ends-on-dot.md) | Многострочное описание документирующего комментария оканчивается на точку |
| [doc-comment-export-function-return-section](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/doc-comment-export-function-return-section.md) | Секция возвращаемого значения документирующего комментария для экспортной функции |
| [doc-comment-export-procedure-description-section](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/doc-comment-export-procedure-description-section.md) | Документирующий комментарий не содержит секцию "Описание" для экспортной процедуры (функции) |
| [doc-comment-field-in-description-suggestion](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/doc-comment-field-in-description-suggestion.md) | Многострочное описание документирующего комментария содержит определение поля |
| [doc-comment-field-name](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/doc-comment-field-name.md) | Поле документирующего комментария является корректным именем |
| [doc-comment-field-type](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/doc-comment-field-type.md) | Поле документирующего комментария не имеет определения типа |
| [doc-comment-field-type-strict](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/doc-comment-field-type-strict.md) | Поле документирующего комментария имеет описание типа |
| [doc-comment-parameter-in-description-suggestion](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/doc-comment-parameter-in-description-suggestion.md) | Многострочное описание документирующего комментария содержит определение параметра |
| [doc-comment-parameter-section](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/doc-comment-parameter-section.md) | В секции параметров документирующего комментария пропущено определение параметра |
| [doc-comment-procedure-return-section](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/doc-comment-procedure-return-section.md) | Документирующий комментарий содежрит секцию возвращаемого значения для процедуры |
| [doc-comment-redundant-parameter-section](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/doc-comment-redundant-parameter-section.md) | Секция параметров документирующего комментария избыточная |
| [doc-comment-ref-link](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/doc-comment-ref-link.md) | Ссылка документирующего комментария на существующий объект |
| [doc-comment-return-section-type](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/doc-comment-return-section-type.md) | Секция возвращаемого значения документирующего комментария содержит корректные типы |
| [doc-comment-type](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/doc-comment-type.md) | Определение типа документирующего комментария |
| [doc-comment-use-minus](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/doc-comment-use-minus.md) | Использование только дефис-минуса в документирующем комментарии |
| [dynamic-access-method-not-found](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/dynamic-access-method-not-found.md) | Метод в объекте не найден |
| [empty-except-statement](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/empty-except-statement.md) | Конструкция "Попытка...Исключение...КонецПопытки" не содержит кода в исключении |
| [event-heandler-boolean-param](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/event-heandler-boolean-param.md) | Использование булевого параметра обработчика события |
| [export-method-in-command-form-module](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/export-method-in-command-form-module.md) | Ограничения на использование экспортных процедур и функций в модуле команд и форм |
| [export-procedure-missing-comment](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/export-procedure-missing-comment.md) | Отсутствует комментарий к экспортной процедуре (функции) |
| [extension-method-prefix](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/extension-method-prefix.md) | У метода отсутствует префикс расширения |
| [extension-variable-prefix](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/extension-variable-prefix.md) | У имени переменной отсутствует префикс расширения |
| [form-module-missing-pragma](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/form-module-missing-pragma.md) | Всегда использовать директивы компиляции в модуле формы |
| [form-module-pragma](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/form-module-pragma.md) | Использование директив компиляции модуля формы |
| [form-self-reference](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/form-self-reference.md) | Использование устаревшего псевдонима |
| [function-return-value-type](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/function-return-value-type.md) | Функция возвращает типизированное значение |
| [invocation-form-event-handler](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/invocation-form-event-handler.md) | Программный вызов обработчика события формы |
| [invocation-parameter-type-intersect](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/invocation-parameter-type-intersect.md) | Вызываемый тип пересекается с типом параметра |
| [lock-out-of-try](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/lock-out-of-try.md) | Вызов "Заблокировать()" находится вне попытки |
| [manager-module-named-self-reference](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/manager-module-named-self-reference.md) | Избыточное обращение по собственному имени внутри модуля менеджера |
| [method-isinrole-role-exist](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/method-isinrole-role-exist.md) | Обращение к несуществующей роли |
| [method-optional-parameter-before-required](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/method-optional-parameter-before-required.md) | Необязательные параметры процедуры/функции расположены перед обязательными |
| [method-param-value-type](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/method-param-value-type.md) | Параметр метода имеет тип |
| [method-too-many-params](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/method-too-many-params.md) | Метод содержит слишком много параметров |
| [missing-temporary-file-deletion](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/missing-temporary-file-deletion.md) | Отсутствует удаление временного файла после использования. |
| [module-accessibility-at-client](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/module-accessibility-at-client.md) | Метод или переменная доступны НаКлиенте |
| [module-attachable-event-handler-name](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/module-attachable-event-handler-name.md) | Имя подключаемого обработчка события |
| [module-consecutive-blank-lines](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/module-consecutive-blank-lines.md) | Проверка максимального количства пустых строк |
| [module-empty-method](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/module-empty-method.md) | Проверка пустых методов |
| [module-region-empty](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/module-region-empty.md) | Область пустая |
| [module-self-reference](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/module-self-reference.md) | Избыточное использование псевдонима "ЭтотОбъект" |
| [module-structure-event-regions](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/module-structure-event-regions.md) | Раздел «Обработчики событий» содержит только методы являющиеся обработчиками событий |
| [module-structure-form-event-regions](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/module-structure-form-event-regions.md) | Проверяет регион обработчиков событий формы |
| [module-structure-init-code-in-region](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/module-structure-init-code-in-region.md) | Раздел инициализации содержит код инициализации |
| [module-structure-method-in-regions](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/module-structure-method-in-regions.md) | Проверяет что метод находится в области |
| [module-structure-top-region](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/module-structure-top-region.md) | Стандартные области структуры модуля верхнего уровня |
| [module-structure-var-in-region](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/module-structure-var-in-region.md) | Раздел описания переменных |
| [module-undefined-function](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/module-undefined-function.md) | Функция не определена |
| [module-undefined-method](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/module-undefined-method.md) | Метод не определен |
| [module-undefined-variable](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/module-undefined-variable.md) | Переменная не определена |
| [module-unused-local-variable](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/module-unused-local-variable.md) | Проверка неиспользуемых локальных переменных |
| [module-unused-method](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/module-unused-method.md) | Проверка неиспользуемых методов |
| [new-color](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/new-color.md) | Использование конструкции "Новый Цвет" |
| [new-font](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/new-font.md) | Использование конструкции "Новый Шрифт" |
| [notify-description-to-server-procedure](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/notify-description-to-server-procedure.md) | Описание оповещения на серверную процедуру |
| [object-module-export-variable](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/object-module-export-variable.md) | Использование переменных в программных модулях |
| [optional-form-parameter-access](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/optional-form-parameter-access.md) | Обращение к опциональному параметру формы |
| [property-return-type](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/property-return-type.md) | Свойство объекта имеет тип возвращаемого значения |
| [public-method-caching](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/public-method-caching.md) | Проверка кэширования программного интерфейса |
| [query-in-loop](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/query-in-loop.md) | Запрос в цикле |
| [reading-attribute-from-database](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/reading-attribute-from-database.md) | Чтение отдельного реквизита объекта из базы данных |
| [redundant-export-method](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/redundant-export-method.md) | Тексты модулей конфигурации не должны содержать неиспользуемые экспортные процедуры и функции. |
| [rollback-transaction](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/rollback-transaction.md) | Проверка нарушения схемы работы с транзакциями |
| [server-execution-safe-mode](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/server-execution-safe-mode.md) | Отсутствует включение безопасного режима перед вызовом метода "Выполнить" или "Вычислить" |
| [statement-type-change](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/statement-type-change.md) | Утверждение меняет тип |
| [structure-consructor-too-many-keys](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/structure-consructor-too-many-keys.md) | Конструктор структуры содержит слишком много ключей |
| [structure-consructor-value-type](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/structure-consructor-value-type.md) | Типизация значений в конструкторе структуры |
| [typed-value-adding-to-untyped-collection](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/typed-value-adding-to-untyped-collection.md) | Добавление типизированного значения в не типизированную коллекцию |
| [unknown-form-parameter-access](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/unknown-form-parameter-access.md) | Обращение к несуществующему параметру формы |
| [use-goto-operator](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/use-goto-operator.md) | Используется оператор Перейти |
| [use-non-recommended-method](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/use-non-recommended-method.md) | Использование не рекомендуемых методов |
| [using-form-data-to-value](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/using-form-data-to-value.md) | Использование РеквизитФормыВЗначение и ДанныеФормыВЗначение |
| [using-isinrole](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/using-isinrole.md) | Использован метод "РольДоступна" |
| [variable-value-type](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/variable-value-type.md) | Переменная имеет тип значения |
