# Индекс проверок


Общее количество проверок 1С:Стандарты разработки V8: 156

- form: 9
- md: 27
- bsl: 88
- ql: 8
- right: 24



| Код проверки | Наименование |
|--------------|--------------|
| [begin-transaction](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/begin-transaction.md) | После начала транзакции отсуствует блок Попытка-Исключение |
| [bsl-canonical-pragma](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/bsl-canonical-pragma.md) | Аннотация написана канонически |
| [bsl-nstr-string-literal-format](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/bsl-nstr-string-literal-format.md) | НСтр формат строкового литерала |
| [bsl-variable-name-invalid](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/bsl-variable-name-invalid.md) | Правила образования имен переменных |
| [change-and-validate-instead-of-around](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/change-and-validate-instead-of-around.md) | Используется аннотация &ИзменениеИКонтроль вместо &Вместо |
| [code-after-async-call](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/code-after-async-call.md) | Код расположен после асинхронного вызова |
| [commit-transaction](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/commit-transaction.md) | Проверка нарушения схемы работы с транзакциями |
| [common-module-missing-api](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/common-module-missing-api.md) | Общий модуль должен иметь хотя бы один экспортный метод |
| [common-module-name-cached](../../bundles/com.e1c.v8codestyle.md/markdown/ru/common-module-name-cached.md) | Общий модуль с повторно используемыми значениями |
| [common-module-name-client](../../bundles/com.e1c.v8codestyle.md/markdown/ru/common-module-name-client.md) | Клиентский общий модуль должен оканчиваться на суффикс Клиент |
| [common-module-name-client-cached](../../bundles/com.e1c.v8codestyle.md/markdown/ru/common-module-name-client-cached.md) | Клиентский общий модуль с повторно используемыми значениями |
| [common-module-name-client-server](../../bundles/com.e1c.v8codestyle.md/markdown/ru/common-module-name-client-server.md) | Клиент-серверный общий модуль должен оканчиваться на суффикс КлиентСервер |
| [common-module-name-full-access](../../bundles/com.e1c.v8codestyle.md/markdown/ru/common-module-name-full-access.md) | Привилегированный общий модуль должен оканчиваться на суффикс ПолныеПрава |
| [common-module-name-global](../../bundles/com.e1c.v8codestyle.md/markdown/ru/common-module-name-global.md) | Глобальный общий модуль должен оканчиваться на суффикс Глобальный |
| [common-module-name-global-client](../../bundles/com.e1c.v8codestyle.md/markdown/ru/common-module-name-global-client.md) | Глобальный клиентский общий модуль должен оканчиваться на суффикс Глобальный без суффикса Клиент |
| [common-module-name-server-call](../../bundles/com.e1c.v8codestyle.md/markdown/ru/common-module-name-server-call.md) | Общий модуль, для которого предусмотрен вызов сервера |
| [common-module-name-server-call-cached](../../bundles/com.e1c.v8codestyle.md/markdown/ru/common-module-name-server-call-cached.md) | Общий модуль с повторно используемыми значениями |
| [common-module-named-self-reference](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/common-module-named-self-reference.md) | Избыточное обращение по собственному имени внутри общего модуля |
| [common-module-type](../../bundles/com.e1c.v8codestyle.md/markdown/ru/common-module-type.md) | Общий модуль имеет некорректный тип |
| [configuration-data-lock-mode](../../bundles/com.e1c.v8codestyle.md/markdown/ru/configuration-data-lock-mode.md) | Режим блокировки данных конфигурации |
| [constructor-function-return-section](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/constructor-function-return-section.md) | Секция возвращаемого значения функции-конструктора данных |
| [data-composition-conditional-appearance-use](../../bundles/com.e1c.v8codestyle.form/markdown/ru/data-composition-conditional-appearance-use.md) | Условное оформление в формах |
| [data-exchange-load](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/data-exchange-load.md) | Проверка ОбменДанными.Загрузка в обработчике события |
| [db-object-anyref-type](../../bundles/com.e1c.v8codestyle.md/markdown/ru/db-object-anyref-type.md) | Реквизиты составного типа, такие как ЛюбаяСсылка и аналогичные |
| [db-object-ref-non-ref-type](../../bundles/com.e1c.v8codestyle.md/markdown/ru/db-object-ref-non-ref-type.md) | Реквизиты составного типа |
| [deprecated-procedure-outside-deprecated-region](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/deprecated-procedure-outside-deprecated-region.md) | Устаревшая процедура (функция) расположена вне области "УстаревшиеПроцедурыИФункции" |
| [doc-comment-collection-item-type](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/doc-comment-collection-item-type.md) | Тип коллекций в документирующем комментарии содержит тип элемента коллекции |
| [doc-comment-complex-type-with-link](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/doc-comment-complex-type-with-link.md) | Поле документирующего комментария использует объявление сложного типа вместо ссылки на тип |
| [doc-comment-description-ends-on-dot](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/doc-comment-description-ends-on-dot.md) | Многострочное описание документирующего комментария оканчивается на точку |
| [doc-comment-export-function-return-section](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/doc-comment-export-function-return-section.md) | Секция возвращаемого значения документирующего комментария для экспортной функции |
| [doc-comment-export-procedure-description-section](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/doc-comment-export-procedure-description-section.md) | Документирующий комментарий не содержит секцию "Описание" для экспортной процедуры (функции) |
| [doc-comment-field-in-description-suggestion](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/doc-comment-field-in-description-suggestion.md) | Многострочное описание документирующего комментария содержит определение поля |
| [doc-comment-field-name](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/doc-comment-field-name.md) | Поле документирующего комментария является корректным именем |
| [doc-comment-field-type](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/doc-comment-field-type.md) | Поле документирующего комментария не имеет определения типа |
| [doc-comment-field-type-strict](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/doc-comment-field-type-strict.md) | Поле документирующего комментария имеет описание типа |
| [doc-comment-parameter-in-description-suggestion](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/doc-comment-parameter-in-description-suggestion.md) | Многострочное описание документирующего комментария содержит определение параметра |
| [doc-comment-parameter-section](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/doc-comment-parameter-section.md) | В секции параметров документирующего комментария пропущено определение параметра |
| [doc-comment-procedure-return-section](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/doc-comment-procedure-return-section.md) | Документирующий комментарий содежрит секцию возвращаемого значения для процедуры |
| [doc-comment-redundant-parameter-section](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/doc-comment-redundant-parameter-section.md) | Секция параметров документирующего комментария избыточная |
| [doc-comment-ref-link](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/doc-comment-ref-link.md) | Ссылка документирующего комментария на существующий объект |
| [doc-comment-return-section-type](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/doc-comment-return-section-type.md) | Секция возвращаемого значения документирующего комментария содержит корректные типы |
| [doc-comment-type](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/doc-comment-type.md) | Определение типа документирующего комментария |
| [doc-comment-use-minus](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/doc-comment-use-minus.md) | Использование только дефис-минуса в документирующем комментарии |
| [document-post-in-privileged-mode](../../bundles/com.e1c.v8codestyle.md/markdown/ru/document-post-in-privileged-mode.md) | В документе, предполагающем проведение, не установлен флаг "Привилегированный режим при проведении / отмене проведения" |
| [dynamic-access-method-not-found](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/dynamic-access-method-not-found.md) | Метод в объекте не найден |
| [empty-except-statement](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/empty-except-statement.md) | Конструкция "Попытка...Исключение...КонецПопытки" не содержит кода в исключении |
| [event-heandler-boolean-param](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/event-heandler-boolean-param.md) | Использование булевого параметра обработчика события |
| [export-method-in-command-form-module](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/export-method-in-command-form-module.md) | Ограничения на использование экспортных процедур и функций в модуле команд и форм |
| [export-procedure-missing-comment](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/export-procedure-missing-comment.md) | Отсутствует комментарий к экспортной процедуре (функции) |
| [extension-md-object-prefix](../../bundles/com.e1c.v8codestyle.md/markdown/ru/extension-md-object-prefix.md) | У имени объекта отсутствует префикс расширения |
| [extension-method-prefix](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/extension-method-prefix.md) | У метода отсутствует префикс расширения |
| [extension-variable-prefix](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/extension-variable-prefix.md) | У имени переменной отсутствует префикс расширения |
| [form-commands-single-action-handler](../../bundles/com.e1c.v8codestyle.form/markdown/ru/form-commands-single-action-handler.md) | У каждого действия команды должна быть назначена своя процедура-обработчик |
| [form-dynamic-list-item-title](../../bundles/com.e1c.v8codestyle.form/markdown/ru/form-dynamic-list-item-title.md) | Пустой заголовок для колонок динамического списка |
| [form-item-visible-settings-by-roles](../../bundles/com.e1c.v8codestyle.form/markdown/ru/form-item-visible-settings-by-roles.md) | Использована ролевая настройка видимости (редактирования, использования) для элемента формы |
| [form-items-single-event-handler](../../bundles/com.e1c.v8codestyle.form/markdown/ru/form-items-single-event-handler.md) | У каждого события должна быть назначена своя процедура-обработчик |
| [form-list-field-ref-not-added](../../bundles/com.e1c.v8codestyle.form/markdown/ru/form-list-field-ref-not-added.md) | Реквизит "Ссылка" динамического списка не выведен в таблицу на форме |
| [form-list-ref-use-always-flag-disabled](../../bundles/com.e1c.v8codestyle.form/markdown/ru/form-list-ref-use-always-flag-disabled.md) | У реквизита "Ссылка" динамического списка выключен признак "Использовать всегда" |
| [form-list-ref-user-visibility-enabled](../../bundles/com.e1c.v8codestyle.form/markdown/ru/form-list-ref-user-visibility-enabled.md) | У поля "Ссылка" таблицы динамического списка не отключена пользовательская видимость |
| [form-module-missing-pragma](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/form-module-missing-pragma.md) | Всегда использовать директивы компиляции в модуле формы |
| [form-module-pragma](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/form-module-pragma.md) | Использование директив компиляции модуля формы |
| [form-self-reference](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/form-self-reference.md) | Использование устаревшего псевдонима |
| [function-return-value-type](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/function-return-value-type.md) | Функция возвращает типизированное значение |
| [functional-option-privileged-get-mode](../../bundles/com.e1c.v8codestyle.md/markdown/ru/functional-option-privileged-get-mode.md) | В функциональной опции не установлен флаг "Привилегированный режим при получении" |
| [input-field-list-choice-mode](../../bundles/com.e1c.v8codestyle.form/markdown/ru/input-field-list-choice-mode.md) | В полях форм со списками выбора следует всегда устанавливать свойство **РежимВыбораИзСписка** в значение Истина |
| [invocation-form-event-handler](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/invocation-form-event-handler.md) | Программный вызов обработчика события формы |
| [invocation-parameter-type-intersect](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/invocation-parameter-type-intersect.md) | Вызываемый тип пересекается с типом параметра |
| [lock-out-of-try](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/lock-out-of-try.md) | Вызов "Заблокировать()" находится вне попытки |
| [manager-module-named-self-reference](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/manager-module-named-self-reference.md) | Избыточное обращение по собственному имени внутри модуля менеджера |
| [md-list-object-presentation](../../bundles/com.e1c.v8codestyle.md/markdown/ru/md-list-object-presentation.md) | Не заполнено ни представление объекта, ни представление списка |
| [md-object-attribute-comment-incorrect-type](../../bundles/com.e1c.v8codestyle.md/markdown/ru/md-object-attribute-comment-incorrect-type.md) | Реквизит «Комментарий» у документов |
| [md-object-attribute-comment-not-exist](../../bundles/com.e1c.v8codestyle.md/markdown/ru/md-object-attribute-comment-not-exist.md) | Документ не имеет реквизита "Комментарий" |
| [md-standard-attribute-synonym-empty](../../bundles/com.e1c.v8codestyle.md/markdown/ru/md-standard-attribute-synonym-empty.md) | Не задан синоним стандартного реквизита "Родитель" или "Владелец". |
| [mdo-name-length](../../bundles/com.e1c.v8codestyle.md/markdown/ru/mdo-name-length.md) | Длина имени объекта метаданных |
| [mdo-ru-name-unallowed-letter](../../bundles/com.e1c.v8codestyle.md/markdown/ru/mdo-ru-name-unallowed-letter.md) | Проверка наличия буквы "ё" в имени, синониме или комментарии объекта метаданных |
| [mdo-scheduled-job-description](../../bundles/com.e1c.v8codestyle.md/markdown/ru/mdo-scheduled-job-description.md) | Задано наименование предопределенного регламентного задания |
| [method-isinrole-role-exist](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/method-isinrole-role-exist.md) | Обращение к несуществующей роли |
| [method-optional-parameter-before-required](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/method-optional-parameter-before-required.md) | Необязательные параметры процедуры/функции расположены перед обязательными |
| [method-param-value-type](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/method-param-value-type.md) | Параметр метода имеет тип |
| [method-too-many-params](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/method-too-many-params.md) | Метод содержит слишком много параметров |
| [missing-temporary-file-deletion](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/missing-temporary-file-deletion.md) | Отсутствует удаление временного файла после использования. |
| [module-accessibility-at-client](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/module-accessibility-at-client.md) | Метод или переменная доступны НаКлиенте |
| [module-attachable-event-handler-name](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/module-attachable-event-handler-name.md) | Имя подключаемого обработчка события |
| [module-consecutive-blank-lines](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/module-consecutive-blank-lines.md) | Проверка максимального количства пустых строк |
| [module-empty-method](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/module-empty-method.md) | Проверка пустых методов |
| [module-region-empty](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/module-region-empty.md) | Область пустая |
| [module-self-reference](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/module-self-reference.md) | Избыточное использование псевдонима "ЭтотОбъект" |
| [module-structure-event-regions](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/module-structure-event-regions.md) | Раздел «Обработчики событий» содержит только методы являющиеся обработчиками событий |
| [module-structure-form-event-regions](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/module-structure-form-event-regions.md) | Проверяет регион обработчиков событий формы |
| [module-structure-init-code-in-region](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/module-structure-init-code-in-region.md) | Раздел инициализации содержит код инициализации |
| [module-structure-method-in-regions](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/module-structure-method-in-regions.md) | Проверяет что метод находится в области |
| [module-structure-top-region](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/module-structure-top-region.md) | Стандартные области структуры модуля верхнего уровня |
| [module-structure-var-in-region](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/module-structure-var-in-region.md) | Раздел описания переменных |
| [module-undefined-function](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/module-undefined-function.md) | Функция не определена |
| [module-undefined-method](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/module-undefined-method.md) | Метод не определен |
| [module-undefined-variable](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/module-undefined-variable.md) | Переменная не определена |
| [module-unused-local-variable](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/module-unused-local-variable.md) | Проверка неиспользуемых локальных переменных |
| [module-unused-method](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/module-unused-method.md) | Проверка неиспользуемых методов |
| [new-color](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/new-color.md) | Использование конструкции "Новый Цвет" |
| [new-font](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/new-font.md) | Использование конструкции "Новый Шрифт" |
| [notify-description-to-server-procedure](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/notify-description-to-server-procedure.md) | Описание оповещения на серверную процедуру |
| [object-module-export-variable](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/object-module-export-variable.md) | Использование переменных в программных модулях |
| [optional-form-parameter-access](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/optional-form-parameter-access.md) | Обращение к опциональному параметру формы |
| [property-return-type](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/property-return-type.md) | Свойство объекта имеет тип возвращаемого значения |
| [public-method-caching](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/public-method-caching.md) | Проверка кэширования программного интерфейса |
| [ql-camel-case-string-literal](../../bundles/com.e1c.v8codestyle.ql/markdown/ru/ql-camel-case-string-literal.md) | Строковый литерал в запросе содержит не КемелКейс контент |
| [ql-cast-to-max-number](../../bundles/com.e1c.v8codestyle.ql/markdown/ru/ql-cast-to-max-number.md) | Выражение к максимальному числу в запросе |
| [ql-constants-in-binary-operation](../../bundles/com.e1c.v8codestyle.ql/markdown/ru/ql-constants-in-binary-operation.md) | В запросе в бинарной операции используются константные значения или параметры. |
| [ql-join-to-sub-query](../../bundles/com.e1c.v8codestyle.ql/markdown/ru/ql-join-to-sub-query.md) | Соединение запроса с подзапросом |
| [ql-like-expression-with-field](../../bundles/com.e1c.v8codestyle.ql/markdown/ru/ql-like-expression-with-field.md) | В качестве правого операнда операции сравнения "ПОДОБНО" указано поле таблицы. |
| [ql-temp-table-index](../../bundles/com.e1c.v8codestyle.ql/markdown/ru/ql-temp-table-index.md) | Временная таблица должна содержать индексы |
| [ql-using-for-update](../../bundles/com.e1c.v8codestyle.ql/markdown/ru/ql-using-for-update.md) | Запрос содержит конструкцию "ДЛЯ ИЗМЕНЕНИЯ" |
| [ql-virtual-table-filters](../../bundles/com.e1c.v8codestyle.ql/markdown/ru/ql-virtual-table-filters.md) | Отбор виртуальной таблицы должен быть в параметрах |
| [query-in-loop](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/query-in-loop.md) | Запрос в цикле |
| [reading-attribute-from-database](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/reading-attribute-from-database.md) | Чтение отдельного реквизита объекта из базы данных |
| [redundant-export-method](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/redundant-export-method.md) | Тексты модулей конфигурации не должны содержать неиспользуемые экспортные процедуры и функции. |
| [register-resource-precision](../../bundles/com.e1c.v8codestyle.md/markdown/ru/register-resource-precision.md) | Длина ресурса регистра накопления или бухгалтерии |
| [right-active-users](../../bundles/com.e1c.v8codestyle.right/markdown/ru/right-active-users.md) | Право установлено: Активные пользователи |
| [right-administration](../../bundles/com.e1c.v8codestyle.right/markdown/ru/right-administration.md) | Право установлено: Администрирование |
| [right-all-functions-mode](../../bundles/com.e1c.v8codestyle.right/markdown/ru/right-all-functions-mode.md) | Право установлено: Режим "Все функции" |
| [right-configuration-extensions-administration](../../bundles/com.e1c.v8codestyle.right/markdown/ru/right-configuration-extensions-administration.md) | Право установлено: Администрирование расширений конфигурации |
| [right-data-administration](../../bundles/com.e1c.v8codestyle.right/markdown/ru/right-data-administration.md) | Право установлено: Администрирование данных |
| [right-delete](../../bundles/com.e1c.v8codestyle.right/markdown/ru/right-delete.md) | Установлено право "Удаление" |
| [right-exclusive-mode](../../bundles/com.e1c.v8codestyle.right/markdown/ru/right-exclusive-mode.md) | Право установлено: Монопольный режим |
| [right-interactive-clear-deletion-mark-predefined-data](../../bundles/com.e1c.v8codestyle.right/markdown/ru/right-interactive-clear-deletion-mark-predefined-data.md) | Установлено право "ИнтерактивноеСнятиеПометкиУдаленияПредопределенныхДанных" |
| [right-interactive-delete](../../bundles/com.e1c.v8codestyle.right/markdown/ru/right-interactive-delete.md) | Установлено право "ИнтерактивноеУдаление" |
| [right-interactive-delete-marked-predefined-data](../../bundles/com.e1c.v8codestyle.right/markdown/ru/right-interactive-delete-marked-predefined-data.md) | Установлено право "ИнтерактивноеУдалениеПомеченныхПредопределенныхДанных" |
| [right-interactive-delete-predefined-data](../../bundles/com.e1c.v8codestyle.right/markdown/ru/right-interactive-delete-predefined-data.md) | Установлено право "ИнтерактивноеУдалениеПредопределенныхДанных" |
| [right-interactive-open-external-data-processors](../../bundles/com.e1c.v8codestyle.right/markdown/ru/right-interactive-open-external-data-processors.md) | Право установлено: Интерактивное открытие внешних обработок |
| [right-interactive-open-external-reports](../../bundles/com.e1c.v8codestyle.right/markdown/ru/right-interactive-open-external-reports.md) | Право установлено: Интерактивное открытие внешних отчетов |
| [right-interactive-set-deletion-mark-predefined-data](../../bundles/com.e1c.v8codestyle.right/markdown/ru/right-interactive-set-deletion-mark-predefined-data.md) | Установлено право "ИнтерактивноеПометкаУдаленияПредопределенныхДанных" |
| [right-output-to-printer-file-clipboard](../../bundles/com.e1c.v8codestyle.right/markdown/ru/right-output-to-printer-file-clipboard.md) | Право установлено: Вывод |
| [right-save-user-data](../../bundles/com.e1c.v8codestyle.right/markdown/ru/right-save-user-data.md) | Право установлено: Сохранение данных пользователя |
| [right-start-automation](../../bundles/com.e1c.v8codestyle.right/markdown/ru/right-start-automation.md) | Право установлено: Automation |
| [right-start-external-connection](../../bundles/com.e1c.v8codestyle.right/markdown/ru/right-start-external-connection.md) | Право установлено: Внешнее соединение |
| [right-start-thick-client](../../bundles/com.e1c.v8codestyle.right/markdown/ru/right-start-thick-client.md) | Право установлено: Толстый клиент |
| [right-start-thin-client](../../bundles/com.e1c.v8codestyle.right/markdown/ru/right-start-thin-client.md) | Право установлено: Тонкий клиент |
| [right-start-web-client](../../bundles/com.e1c.v8codestyle.right/markdown/ru/right-start-web-client.md) | Право установлено: Веб-клиент |
| [right-update-database-configuration](../../bundles/com.e1c.v8codestyle.right/markdown/ru/right-update-database-configuration.md) | Право установлено: Обновление конфигурации базы данных |
| [right-view-event-log](../../bundles/com.e1c.v8codestyle.right/markdown/ru/right-view-event-log.md) | Право установлено: Журнал регистрации |
| [role-right-has-rls](../../bundles/com.e1c.v8codestyle.right/markdown/ru/role-right-has-rls.md) | Право роли содержит текст ограничения доступа (RLS) |
| [rollback-transaction](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/rollback-transaction.md) | Проверка нарушения схемы работы с транзакциями |
| [scheduled-job-periodicity-too-short](../../bundles/com.e1c.v8codestyle.md/markdown/ru/scheduled-job-periodicity-too-short.md) | Периодичность выполнения регламентного задания меньше одной минуты. |
| [server-execution-safe-mode](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/server-execution-safe-mode.md) | Отсутствует включение безопасного режима перед вызовом метода "Выполнить" или "Вычислить" |
| [statement-type-change](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/statement-type-change.md) | Утверждение меняет тип |
| [structure-consructor-too-many-keys](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/structure-consructor-too-many-keys.md) | Конструктор структуры содержит слишком много ключей |
| [structure-consructor-value-type](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/structure-consructor-value-type.md) | Типизация значений в конструкторе структуры |
| [subsystem-synonym-too-long](../../bundles/com.e1c.v8codestyle.md/markdown/ru/subsystem-synonym-too-long.md) | Длина названия раздела превышает 35 символов |
| [typed-value-adding-to-untyped-collection](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/typed-value-adding-to-untyped-collection.md) | Добавление типизированного значения в не типизированную коллекцию |
| [unknown-form-parameter-access](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/unknown-form-parameter-access.md) | Обращение к несуществующему параметру формы |
| [unsafe-password-ib-storage](../../bundles/com.e1c.v8codestyle.md/markdown/ru/unsafe-password-ib-storage.md) | Небезопасное хранение паролей в информационной базе |
| [use-goto-operator](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/use-goto-operator.md) | Используется оператор Перейти |
| [use-non-recommended-method](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/use-non-recommended-method.md) | Использование не рекомендуемых методов |
| [using-form-data-to-value](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/using-form-data-to-value.md) | Использование РеквизитФормыВЗначение и ДанныеФормыВЗначение |
| [using-isinrole](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/using-isinrole.md) | Использован метод "РольДоступна" |
| [variable-value-type](../../bundles/com.e1c.v8codestyle.bsl/markdown/ru/variable-value-type.md) | Переменная имеет тип значения |
