# Документация

Некоторые программисты хорошо пишут код, но не очень хотят/любят/умеют писать ясную и понятную документацию для пользователей.
Некоторые люди не замечают опечаток или перестановок букв.

Если вы поможете в вычитке, исправлении или написании документации - мы будем вам благодарны! 
[См. задачи](https://github.com/1C-Company/v8-code-style/labels/documentation) или вы можете добавить свою задачу на любую документацию проекта.

## Документация в составе плагина

Вся документация поставляется в состав плагина и доступна в меню 1C:EDT - `Help -> Help Contents -> 1C:Code Style V8`

Основные разделы справки записаны в файле `/docs/toc.xml` (в JDT открывается удобный редактор):

```xml
<toc label="1C:Code style V8" topic="html/toc.html">
   <topic href="html/checks/readme.html" label="Проверки">
      <anchor id="checks"/>
      <topic href="html/checks/check_index.html" label="Индекс проверок">
      </topic>
      <topic href="html/checks/md.html" label="Проверки метаданных">
         <anchor id="md"/>
      </topic>

...

```

## Дополнительные инструменты

При добавлении новой функциональности или изменении существующей - необходимо актуализировать [документацию](/docs/tools/).

## Проверки

- Документация по проверкам поставляется в каждом бандле.
- Например, в каталоге `/bundles/com.e1c.v8codestyle.md/markdown/` - лежит документация на английском языке
- в каталоге `/bundles/com.e1c.v8codestyle.md/markdown/ru` - лежит документация на русском языке
- Документация пишется в формате Markdown и при сборке автоматически конвертируется в html для отображения в интерфейсе

[Правила оформления описаний проверок](check_description.md)
