# Оформление задачи


## Сообщить об ошибке

Печально, что ошибка существует, но мы благодарны, что вы о ней нам сообщите!

### Прежде чем зарегистрировать ошибку

* Проверьте [Docs](https://github.com/1C-Company/v8-code-style/tree/master/docs) на наличие описания, что не является ошибкой
* Проверьте раздел [Issues](https://github.com/1C-Company/v8-code-style/issues), чтобы не создавать дубликатов

### Как сообщить об ошибке эффективно

Следуйте простым правилам:

1. Задайте понятный заголовок `issue`, лаконично и исчерпывающе определяющий проблему
    * постарайтесь не допускать двойного смысла, сленга из других областей и т.д. 
    * Не используйте "метки" в заголовке - для этого используются метки (labels) на гитхабе
2. Опишите сценарий воспроизведения ошибки.
    * скриншоты очень сильно помогают, но не заменяют сценарий
    * добавьте логи ЖР, из лог-файлов (убедитесь, что они не содержат приватной информации)
3. Опишите, что есть ошибка по вашему мнению и почему
4. Опишите ожидаемое поведение


## Предложите улучшение функциональности

1. Задайте понятный заголовок `issue`, лаконично и исчерпывающе определяющий новую функциональность
2. Опишите суть улучшений и обсудите в issue варианты реализации.
3. Убедитесь совместно с авторами проекта, что ваше предложение не противоречит идеологии Стандартов 1С и 1C:EDT. При этом авторы проекта всегда рады обсуждению новых идей, всегда на стороне участников, предлагающих улучшения, но при этом постараются максимально разъяснить случаи отказа в принятии идеи/реквеста, если таковые возникнут.
4. Реализуйте Ваше улучшение функциональности проекта в отдельном форке и предложите его через [Pull/merge request](#Pull-Requests-Merge-Requests)

