# Руководство контрибутора

Здесь описаны советы, как сделать свое участие наиболее эффективным для проекта и для себя. 

- Старт
    - [Настройка окружения](environment.md)
    - [Соглашение по стилю кодирования (Code Style)](code_style.md)
    - [Язык проекта, локализация интерфейса](project_language.md)
    - [JavaDoc платформы 1C:EDT](https://edt.1c.ru/dev/edt/2021.2/apidocs/)
- Разработка проверок
    - [Процесс разработки проверки](check_workflow.md)
    - [Пример разработки простой проверки](check_example.md) ([Видео пример](https://youtu.be/Q_JtIVTntiM))
    - [Соглашение при создании проверок](Check_Convention.md)
    - [Тесты по проверкам (JUnit)](testing.md)
- Создание документации
    - [Документация в составле плагина](documentation.md)
    - [Описание проверок](check_description.md)
- Разработка инструментов
    - [Общие сведения по разработке плагинов](https://edt.1c.ru/dev/ru/docs/plugins/dev/)
        - [Целевая платформа / Target platform 1C:EDT](https://edt.1c.ru/dev/ru/docs/plugins/dev/target-platform/)
        - [Точки расширения](https://edt.1c.ru/dev/ru/docs/plugins/dev/extension-points/)
        - [Разработка пользовательского интерфейса](https://edt.1c.ru/dev/ru/docs/plugins/dev/ui/)
        - [Публичные сервисы - Общая информация](https://edt.1c.ru/dev/ru/docs/plugins/dev/public-services/)
    - [Cервисы общего назначения 1C:EDT](https://edt.1c.ru/dev/ru/docs/plugins/dev/edt-services/)
    - [Работа с модулями встроенного языка (bsl)](https://edt.1c.ru/dev/ru/docs/plugins/dev/lang/)
        - [Модель встроенного языка (bsl)](https://edt.1c.ru/dev/ru/docs/plugins/dev/lang/bsl-model/)
- Общие вопросы по проекту
    - [Лицензирование кода](licensing.md)
    - [Оформление задачи](issue.md)
    - [Правила оформления коммитов](commits.md)
    - [Оформление "запроса на слияние" (Pull request)](pull_request.md)
    - [Версионирование проекта](versioning.md)
