# Авто-сортировка метаданных

Все метаданные верхнего уровня должны быть отсортированы по алфавиту.

Расширение позволяет автоматически сортировать коллекции метаданных при любой модификации, например:
- Добавление нового метаданного - автоматически устанавливает его на нужной позиции в Навигаторе 1С.
- Переименование метаданного - так же перемещает его на новую позицию согласно новому имени.
- Слияние веток, сравнение-объединение так же могут приводить изменениям имени и запускают сортировку.

## Включение настройки

- Для новых создаваемых проектов авто-сортировка включается по умолчанию.
- Для существующего проекта включить автосортировку можно в настройках проекта `Свойства - V8 - Авто сортировка - Все верхнеуровневые объекты метаданных` (Англ. `Properties -> V8 -> Auto sort -> All top metadata objects`)

### Дополнительные возможности

- Не сортируются объекты, порядок которых влияет на реструктуризацию БД (измерения регистров, общие реквизиты конфигурации)
- Сортировка подчиненных объектов метаданных (реквизиты, формы, макеты и т.д.) - настройка по умолчанию не включена


## Запуск из командной строки (CLI)

Доступен запуск сортировки проекта из командной строки. 
Команда может выполнять импорт проекта в рабочее пространство и сортировку проекта. 
Если в проекте не настроена сортировка - будет включена авто-сортировка с настройками по умолчанию.

Пример:

```bash
// вывод справки по команде сортировки
1cedtcli -data ./ws -command help sort-project

// запуск сортировки по проекту с импортом в рабочую область
1cedtcli -data ./ws -command sort-project --project-list "${PWD}/myproject"

// запуск сортировки по проекту существующему в рабочей области
1cedtcli -data ./ws -command sort-project --project-name-list "myproject"

```


## Отключение настройки

- Отключить настройку автосортировки можно в настройках проекта `Свойства - V8 - Авто сортировка - Все верхнеуровневые объекты метаданных` (Англ. `Properties -> V8 -> Auto sort -> All top metadata objects`)
- Удалить файл в настройках проекта `ProjectName/.settings/com.e1c.v8codestyle.autosort.prefs`

## См. также

- [Общие требования к конфигурации п.2.3](https://its.1c.ru/db/v8std#content:467:hdoc:_top:сортировать)
